clear all
close all
load maxima

pom=maxima<0.01 & maxima>0.00099; %pomocná matice logických hodnot 0,1 označující splnění podmínky
for i=1:10
    for j=1:7 %projíždění řádků a sloupců matice
        if pom(i,j)==0 % pokud je nalezena logická nula(nesplnění podmínky)
            maxima(i,j)=mean(maxima(pom(:,j)==1)); % je v matici maxima její poloha nahrazena průměrem z hodnot splňující podmínky
        end
    end
end
pozicemax=zeros(1,10);
pozicemin=zeros(1,10);
for i=1:10 %hledání poloh maxim a minim impusů u jednotlivých osob
[~,pozicemax(i)]=max(maxima(i,:)); %zapsání pozice maxima
[~,pozicemin(i)]=min(maxima(i,:)); % zapsání pozice minima
end
figure; % vykreslení boxplotu
boxplot(maxima)
title('Boxplot maxim EOG RMS')
xlabel('Číslo impulsu')
ylabel('RMS - U[mV]')


